[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TDBEventTypes

Set of database event types

## Declaration

Source position: sqldb.pp line 56

`type TDBEventTypes = set of (`
`detCustom,` |  | Custom event message
`detPrepare,` |  | SQL prepare message
`detExecute,` |  | SQLExecute message
`detFetch,` |  | Fetch data message
`detCommit,` |  | Transaction Commit message
`detRollBack` |  | Transaction rollback message
`);`

## Description

TDBEventTypes is a set of TDBEventType values, which is used to filter the set of event messages that should be sent. The TSQLConnection.LogEvents property determines which events a particular connection will send.

## See also

TSQLConnection.LogEvents |  | Filter for events to log
TDBLogNotifyEvent |  | Event handler prototype for handling events
GlobalDBLogHook |  | Global logging hook

Documentation generated on: Feb 26 2014